#include "ClassDemo.hpp"

VirtualFuncDemo::VirtualFuncDemo()
{
	MessageBoxA(0, "VirtualFuncDemo (Base Class)", "Virtual Func Demo!", 0);
}

VirtualFuncDemo::~VirtualFuncDemo()
{
	MessageBoxA(0, "VirtualFuncDemo (Base Class)", "Virtual Destructor Demo!", 0);
}

void VirtualFuncDemo::PrintTest()
{
	MessageBoxA(0, "VirtualFuncDemo (Base Class)", "Virtual Func Demo!", 0);
}

Demo::Demo()
{
	MessageBoxA(0, "Demo", "Virtual Func Demo!", 0);
}

Demo::~Demo()
{
	MessageBoxA(0, "Demo", "Virtual Destructor Demo!", 0);
}

void Demo::PrintTest()
{
	MessageBoxA(0, "PrintTest", "Hello World!", 0);
}

Demo2::Demo2()
{
	MessageBoxA(0, "Demo2", "Virtual Func Demo!", 0);
}

Demo2::~Demo2()
{
	MessageBoxA(0, "Demo2", "Virtual Destructor Demo!", 0);
}

void Demo2::PrintTest()
{
	MessageBoxA(0, "PrintTest2", "Hello World!", 0);
}